id: microsoft-teams-phish

info:
  name: microsoft teams phishing Detection
  author: rxerium
  severity: info
  description: |
    A microsoft teams phishing website was detected
  reference:
    - https://www.microsoft.com/en-gb/microsoft-teams/download-app
  metadata:
    max-request: 1
  tags: phishing,microsoft-teams,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Download Microsoft Teams Desktop and Mobile Apps | Microsoft Teams'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"microsoft.com")'
# digest: 4a0a00473045022100eb28574e92d8ec026df36c5de4a68dec8edb14ea0d9b431f2066f5edc4115b840220599ae76cf6a9f070b04b94ee7169d5f838212b6629f6b1985ef136bf08ca8127:922c64590222798bb761d5b6d8e72950